#
# Cookbook Name:: windowssdk7
# Recipe:: default
#
# Copyright (C) 2016 YadaYadaSoftware.com
#
# All rights reserved - Do Not Redistribute
#

include_recipe 'ec2helper'

directory "#{node[:windowssdk7][:remote_file][:path]}" do
	action :create
end

remote_file "#{node[:windowssdk7][:remote_file][:path]}/#{node[:windowssdk7][:iso_name]}" do
	source "#{node[:windowssdk7][:remote_file][:source]}"
	not_if { File.exist?("#{node[:windowssdk7][:remote_file][:path]}/#{node[:windowssdk7][:iso_name]}") }
end

ec2helper_iso 'Mountwindowssdk7Iso' do
	volume_name "#{node[:windowssdk7][:ec2helper_iso][:volume_name]}"
	iso_filename "#{node[:windowssdk7][:iso_name]}"
	iso_path "#{node[:windowssdk7][:remote_file][:path]}"
end

execute 'Install Visual Studio' do
	command lazy {"#{node[:ec2helper][:iso][:mount][:drive_letter]}:/setup.exe -q -params:ADDLOCAL=ALL" }
	timeout 43200
	returns [0,3010]
end